> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trunk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prometheus-format metrics for a merge queue



## OpenAPI

````yaml /openapi.json get /getMergeQueueMetrics
openapi: 3.1.0
info:
  title: Trunk APIs
  version: 1.0.0
  license:
    name: UNLICENSED
servers:
  - url: https://api.trunk.io/v1
security: []
paths:
  /getMergeQueueMetrics:
    get:
      summary: Get Prometheus-format metrics for a merge queue
      responses:
        '200':
          description: Prometheus-format metrics
          content:
            text/plain:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/plain-text:
              schema:
                type: string
        '401':
          description: Unauthorized
          content:
            application/plain-text:
              schema:
                type: string
        '404':
          description: Not Found
          content:
            application/plain-text:
              schema:
                type: string
        '500':
          description: Internal Server Error
          content:
            application/plain-text:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-token
      description: >-
        Your organization API token. In the Trunk app, find it under
        **Settings** → **Developer** → **API Keys**, in the **Organization API
        token (v1)** section. v2 API keys don't work with the v1 API. The v1 API
        will be deprecated soon.

````